TeePayDocs
API ReferenceIntegration

Get API key details

GET
/v1/whoami

Returns the application, environment, scopes and prefix of the key making the request. Works with any valid key and never returns the secret.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Secret API key: tp_test_. or tp_live_.. Server-side only.

Response Body

Safe integration metadata

application/json
  1. response
application_reference*string
environment*unknown
Value in"sandbox""live"
scopes*array<>
Items1 <= items <= 9
credential_prefix*string
Match^tp_(test|live)_[0-9a-f]{32}$
Example Request
curl -X GET 'https://api.teepay.me/v1/whoami'
Example Response
{  "application_reference": "string",  "environment": "sandbox",  "scopes": [    "integration:read"  ],  "credential_prefix": "string"}